summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2005-10-28 12:08:03 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:45:28 -0500
commita2b93c3f5f964e0d9434889d0e47e14bc9e67b8f (patch)
treea1a162ee3fa055e097a4ba244a7b959c261ef060 /source4/script
parentea2d6d482fc8e18b0f1b61c245c4e371fa6dd24f (diff)
downloadsamba-a2b93c3f5f964e0d9434889d0e47e14bc9e67b8f.tar.gz
samba-a2b93c3f5f964e0d9434889d0e47e14bc9e67b8f.tar.bz2
samba-a2b93c3f5f964e0d9434889d0e47e14bc9e67b8f.zip
r11372: Now RPC-SAMLOGON works, place it into the default 'make test'.
Andrew Bartlett (This used to be commit 381c4f9fef00cd65ebcbf41ab0cf62fd69ffc8cf)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/tests/test_rpc.sh28
1 files changed, 14 insertions, 14 deletions
diff --git a/source4/script/tests/test_rpc.sh b/source4/script/tests/test_rpc.sh
index 7ea1fbb0b3..fcd7cff3b3 100755
--- a/source4/script/tests/test_rpc.sh
+++ b/source4/script/tests/test_rpc.sh
@@ -40,19 +40,19 @@ for bindoptions in seal,validate,padcheck bigendian; do
done
done
-testok $0 $failed
+for bindoptions in connect validate ; do
+ for transport in ncalrpc; do
+ case $transport in
+ ncalrpc) tests=$slow_ncalrpc_tests ;;
+ ncacn_np) tests=$slow_ncacn_np_tests ;;
+ ncacn_ip_tcp) tests=$slow_ncacn_ip_tcp_tests ;;
+ esac
+ for t in $tests; do
+ name="$t on $transport with $bindoptions"
+ testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
+ done
+ done
+done
-#for bindoptions in connect validate padcheck bigendian bigendian,seal; do
-# for transport in ncalrpc ncacn_np ncacn_ip_tcp; do
-# case $transport in
-# ncalrpc) tests=$slow_ncalrpc_tests ;;
-# ncacn_np) tests=$slow_ncacn_np_tests ;;
-# ncacn_ip_tcp) tests=$slow_ncacn_ip_tcp_tests ;;
-# esac
-# for t in $tests; do
-# name="$t on $transport with $bindoptions"
-# testit "$name" $VALGRIND bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" -U"$username"%"$password" -W $domain $t "$*" || failed=`expr $failed + 1`
-# done
-# done
-#done
+testok $0 $failed